<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.Role"
	import="net.sf.basedb.core.Group"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.Permission"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.SystemItems"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.query.Expressions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);

final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String servletHome = ExtensionsControl.getServletUrl("net.sf.basedb.reggie", "Session");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String lastWizardGroup = Values.getString(sc.getUserClientSetting("reggie.lastWizardGroup"), "sample-processing-section");
	
	boolean isAdmin = user.getId() == SystemItems.getId(User.ROOT);
	boolean isPatientCurator = false;
	if (!isAdmin)
	{
		try
		{
			Role admin = Role.getById(dc, SystemItems.getId(Role.ADMINISTRATOR));
			isAdmin = sc.isMemberOf(admin);
		}
		catch (RuntimeException ex)
		{}
	}
	try
	{
		ItemQuery<Group> query = Group.getQuery();
		query.restrict(Restrictions.eq(Hql.property("name"), Expressions.string("PatientCurator")));
		List<Group> result = query.list(dc);
		if (result.size() == 1)
		{
			isPatientCurator = sc.isMemberOf(result.get(0));
		}
	}
	catch (RuntimeException ex)
	{}
%>
<base:page type="default" >
<base:head styles="path.css,~css/reggie-2.css" scripts="~index.js,~reggie-2.js">
<style>
dl
{
	margin-top: 0px;
	margin-bottom: 1em;
	padding: 3px;
}
dt
{
	margin-top: 0.5em;
	margin-left: 0.5em;
}
dd
{
	margin-left: 0.5em;
	margin-bottom: 0.5em;
	padding-left: 3em;
}
ul
{
	margin-top: 0px;
	margin-bottom: 0px;
	margin-left: 0em;
	padding-left: 0em;
}
li
{
	margin-left: 0em;
}
img
{
	vertical-align: text-bottom;
}
.default h3
{
	color: #333377;
	background-color: #E8E8E8;
	font-weight: bold;
	margin: 0;
	padding: 3px 6px 3px 6px;
	border-width: 1px;
	font-size: 1.1em;
}
.not-implemented
{
	filter: url(css/filters.svg#grayscale); /* Firfox, etc */
	filter: gray; /* IE */
	opacity: 0.75;
	pointer-events: none;
}

.not-implemented:after
{
	content: ' -- coming soon';
}

span.counter
{
	color: #666666;
	font-style: italic;
}

span.counter.done:before
{
	content: '(';
	padding-right: 1px;
}

span.counter + .counter.done:before
{
	content: '+';
	padding-left: 2px;
	padding-right: 2px;
}

span.counter.done:not(.more):after
{
	content: ')';
	padding-left: 1px;
}

span.info-warning
{
	display: none;
	color: #666666;
	font-style: italic;
	background-image: url('images/warning_small.png');
	background-repeat: no-repeat;
	background-position: 0 50%;
	padding-left: 16px;
	margin-left: 0.5em;
}

.require-permission
{
	color: #999999;
	font-style: italic;
}

.snake-quote
{
	width: 32em;
}

.snake-quote-source
{
	margin-top: 0.5em;
	float: right;
	font-style: italic;
}

.snake-quote .notify-message
{
	margin: 0;
}

.snake-quote .notify-message:before
{
	margin: 0;
	content: '';
}

#summary-stats
{
	font-variant: small-caps;
	font-size: 125%;
	white-space: nowrap;
	overflow: hidden;
}

#activity-log
{
	
}

#activity-log .activity-day
{
	font-size: 1.1em;
	font-weight: bold;
	margin-top: 0.5em;
}

#activity-log .activity
{
	white-space: nowrap;
	overflow: hidden;
	padding: 0.15em 0;
}

#activity-log .activity.nothing-yet
{
	font-style: italic;
}


#activity-log .activity.quote-of-the-day
{
	font-style: italic;
	white-space: normal;
	text-align: center;
	margin: 1em 1em 0.5em 0;
	border-top-width: 1px;
	border-top-style: dotted;
	padding-top: 0.5em;
}

#activity-log .activity-author
{
	white-space: nowrap;
}

#activity-log .activity-author:before
{
	content: '–';
	padding-left: 0.5em;
	padding-right: 0.25em;
}

#activity-log .quote-of-the-day .activity-link
{
	text-align: right;
	border-top-width: 1px;
	border-top-style: dotted;
	margin-top: 0.5em;
}

#activity-log .activity-time
{
	margin-right: 0.5em;
	color: #666666;
}

#activity-log .quote-of-the-day .activity-time
{
	display: none;
}

#activity-log-rss
{
	float: right;
	margin-right: 1em;
}
#counter-age-control
{
	position: absolute;
	bottom: 2px;
	right: 1rem;
	font-size: 90%;
}

#counter-refresh, #counter-loading
{
	padding-left: 3px;
	vertical-align: -2px;
}

div.counter
{
	display: inline-block;
	min-width: 4em;
	text-align: right;
	padding-right: 0.25em;
	font-size: 120%;
	font-weight: bold;
}

#more-boxes-are-needed
{
	display: none;
	background-color: #ffff00;
	font-weight: bold;
	padding: 2px 0.5em;
	margin-bottom: 0.25em;
	margin-left: 0.5em;
	border-width: 2px;
	border-radius: 5px;
}

#more-boxes-are-needed::before
{
	content: url('images/warning.png');
	vertical-align: top;
	margin-right: 0.25em;
}

div.group-menu
{
	background-color: #F8F8F8;
	padding: 0.5em 10px 0.5em 1em;
	border-width: 1px;
	margin-bottom: 1em;
	border-radius: 6px;
}

div.group-menu:hover
{
	text-decoration: none;
	border-right-width: 10px;
	padding-right: 0;
}

div.group-menu .group-title
{
	font-weight: bold;
	font-size: 125%;
	color: #333377;
	margin-bottom: 0.25em;
}
div.group-menu .group-examples span
{
	color: #666666;
	font-style: italic;
	white-space: nowrap;
}

div.group-menu .group-examples span:before
{
	content: '•';
	padding-right: 0.25em;
}

#wizard[data-wizard-group="sample-processing-section"] .group-menu[data-wizard-group="sample-processing-section"],
#wizard[data-wizard-group="rna-libprep-section"] .group-menu[data-wizard-group="rna-libprep-section"],
#wizard[data-wizard-group="mips-libprep-section"] .group-menu[data-wizard-group="mips-libprep-section"],
#wizard[data-wizard-group="personal-information-section"] .group-menu[data-wizard-group="personal-information-section"],
#wizard[data-wizard-group="statistics-section"] .group-menu[data-wizard-group="statistics-section"],
#wizard[data-wizard-group="administration-section"] .group-menu[data-wizard-group="administration-section"]
{
	background-color: #FFFFF0;
	border-right-width: 10px;
	border-right-color: #2288AA;
	padding-right: 0;
}

.wizard-group
{
	display: none;
}

#wizard[data-wizard-group="sample-processing-section"] #sample-processing-section,
#wizard[data-wizard-group="rna-libprep-section"] #rna-libprep-section,
#wizard[data-wizard-group="mips-libprep-section"] #mips-libprep-section,
#wizard[data-wizard-group="personal-information-section"] #personal-information-section,
#wizard[data-wizard-group="statistics-section"] #statistics-section,
#wizard[data-wizard-group="administration-section"] #administration-section
{
	display: block;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement title="Reggie" /></p:path>

	<div class="content">
		<form name="reggie" id="wizard" class="wizard" data-wizard-group="<%=HTML.encodeTags(lastWizardGroup)%>">
		<div id="wizard-status" style="position: absolute; z-index: 99; left: 25%; right: 25%; top: 25%; height: auto; text-align: center;"></div>
		<div class="absolutefull" style="width: 30%;">
			<div class="absolutefull" style="left: 1em; right: 0.5em; ">
				
				<div class="group-menu link" data-wizard-group="sample-processing-section">
					<div class="group-title">Sample processing and histology</div>
					<div class="group-examples">
						<span>Registration</span>
						<span>Partitioning</span>
						<span>Extraction</span>
						<span>Quality control</span>
						<span>Histology scoring</span>
					</div>
				</div>
	
				<div class="group-menu link" data-wizard-group="rna-libprep-section">
					<div class="group-title">RNA library preparation and analysis</div>
					<div class="group-examples">
						<span>Plate design</span>
						<span>Library registration</span>
						<span>Pooling</span>
						<span>Sequencing</span>
						<span>Secondary analysis</span>
					</div>
				</div>
					
				<div class="group-menu link" data-wizard-group="mips-libprep-section">
					<div class="group-title">MIPs library preparation and analysis</div>
					<div class="group-examples">
						<span>Aliquot import</span>
						<span>Plate design</span>
						<span>Library registration</span>
						<span>Pooling</span>
						<span>Sequencing</span>
						<span>Secondary analysis</span>
					</div>
				</div>
				
				<div class="group-menu link" data-wizard-group="personal-information-section">
					<div class="group-title">Personal information and sample curation</div>
					<div class="group-examples">
						<span>Referral forms</span>
						<span>Retraction</span>
						<span>INCA</span>
						<span>Flagged items</span>
						<span>Batch updates</span>
						<span>Outtakes</span>
					</div>
				</div>
	
				<div class="group-menu link" data-wizard-group="statistics-section">
					<div class="group-title">Statistics and reporting</div>
					<div class="group-examples">
						<span>Sample count tables</span>
						<span>Sample processing plots</span>
						<span>YellowLabel tracking</span>
					</div>
				</div>
				<%
				if (isAdmin)
				{
					%>
					<div class="group-menu link" data-wizard-group="administration-section">
						<div class="group-title">Server administration</div>
						<div class="group-examples">
							<span>Installation wizard</span>
							<span>Configuration</span>
							<span>Cleanup</span>
						</div>
					</div>
					<%
				}
				%>
			</div>
		</div>
		
		<div class="absolutefull" style="width: 40%; left: 30%; right: auto;">
			<div class="absolutefull" style="left: 0.5em; right: 0.5em;">
			
				<div id="sample-processing-section" class="wizard-group">
					<h3>Sample processing wizards</h3>
					<dl class="leftborder rightborder bottomborder has-lib-prep">
	
					<dt>
						<base:icon image="<%=home+"/images/specimen.png" %>" />
						Specimen tube registration
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/specimentube.jsp?ID=<%=ID%>"
							>Register new specimen tubes</span>.
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/store-paused.jsp?ID=<%=ID%>"
							>Store paused specimen</span>
							<span class="counter" data-counter="paused-specimen-to-store" 
								title="Number of paused specimen that has not yet been stored">∙</span>
						</ul>
					</dd>
	
					<dt>
						<base:icon image="<%=home+"/images/partition.png" %>" />
						<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/partitionform.jsp?ID=<%=ID%>"
							>Partition wizard</span>
					</dt>
					<dd>
						<ul>
						<li>Register new partitions of existing specimens 
							<span class="counter more" data-counter="specimen-for-partition"
								title="Number of unpartitioned specimen">∙</span><span 
							class="counter" data-counter="specimen-for-reextraction" 
								title="Number of specimen for re-extration">∙</span>
						</ul>
					</dd>
						
					<dt>
						<base:icon image="<%=home+"/images/extraction.png" %>" />
						DNA/RNA extraction wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/lysate_reextraction.jsp?ID=<%=ID%>"
							>Pick lysate for re-extraction</span> 
							<span class="counter" data-counter="lysates-to-pick-for-reextraction" 
								title="Number of lysates for re-extraction that must be picked from freezers">∙</span>
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/allprep_protocol.jsp?ID=<%=ID%>"
							>Lab tracking protocol for Allprep isolation</span> 
							<span class="counter more" data-counter="lysates-for-allprep" 
								title="Number of unprocessed lysates">∙</span><span
							class="counter" data-counter="lysates-picked-for-rextraction"
								title="Number of lysates for re-extraction that has been picked from freezers">∙</span>
	
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/extraction_registration.jsp?ID=<%=ID%>"
							>DNA/RNA/FlowThrough registration</span> 
							<span class="counter more" data-counter="lysates-for-allprep" 
								title="Number of unprocessed lysates">∙</span><span
							class="counter" data-counter="lysates-picked-for-rextraction"
								title="Number of lysates for re-extraction that has been picked from freezers">∙</span>
								
						<li>Normalization 
							<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rna_normalization.jsp?ID=<%=ID%>"
							>RNA</span> 
							<span class="counter" data-counter="rna-to-normalize" title="Number of RNA not yet normalized">∙</span>
							<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/dna_normalization.jsp?ID=<%=ID%>"
							>DNA</span> 
							<span class="counter" data-counter="dna-to-normalize" title="Number of DNA not yet normalized">∙</span>
							
						</ul>
					</dd>
					<dt>
						<base:icon image="<%=home+"/images/rnaqc.png" %>" />
						RNA quality control wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_aliquot.jsp?ID=<%=ID%>"
							>Create aliquots on Bioanalyzer/Caliper plates</span> 
							<span class="counter" data-counter="rna-without-rnaqc" 
								title="Number of RNA waiting for QC">∙</span>
						
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_plate_export.jsp?ID=<%=ID%>"
							>Export Caliper sample names and run parameters</span> 
							<span class="counter" data-counter="caliper-rnaqc-waiting" 
								title="Number of active Caliper plates">∙</span>
						
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_plate_import.jsp?ID=<%=ID%>"
							>Import RQS scores from Caliper well table file</span> 
							<span class="counter" data-counter="caliper-rnaqc-waiting"
								title="Number of active Caliper plates">∙</span>
								
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_baprotocol.jsp?ID=<%=ID%>"
							>Lab protocol for BioAnalyzer plates</span> 
							<span class="counter" data-counter="bioanalyzer-rnaqc-waiting" 
								title="Number of active BioAnalyzer plates">∙</span>
								
						<li><span class="require-permission" data-role="SamplePrep" data-link="sampleproc/rnaqc_bioanalyzer.jsp?ID=<%=ID%>"
							>Register RIN scores for BioAnalyzer plates</span> 
							<span class="counter" data-counter="bioanalyzer-rnaqc-waiting" 
								title="Number of active BioAnalyzer plates">∙</span>
						</ul>
					</dd>
					<dt style="margin-bottom: 0.5em;">
						<base:icon image="<%=home+"/images/box.png" %>" />
						<span class="require-permission" data-role="SamplePrep" data-link="sampleproc/storage-box.jsp?ID=<%=ID%>"
							>Storage box creation wizard</span>
							<span class="counter more" data-counter="empty-storage-boxes" 
								title="Number of empty storage boxes">∙</span><span 
							class="counter" data-counter="empty-paused-storage-boxes" 
								title="Number of empty storage boxes for paused specimen">∙</span>
							<span id="more-boxes-are-needed">More boxes are needed</span>
					</dt>
					</dl>
				
					<h3>Histology wizards</h3>
					<dl class="leftborder rightborder bottomborder">			
					<dt>
						<base:icon image="<%=home+"/images/histology.png" %>" />
						Embedding and staining wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_protocol.jsp?ID=<%=ID%>"
							>Lab tracking protocol for FFPE/HE</span> 
							<span class="counter" data-counter="histology-active-lists" 
								title="Number of active histology work lists">∙</span>
						
						<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_block.jsp?ID=<%=ID%>"
							>Register paraffin blocks</span> 
							<span class="counter" data-counter="paraffin-blocks-not-embedded"
							 	title="Number of paraffin blocks waiting for registration">∙</span>
	
						<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_labels.jsp?ID=<%=ID%>"
							>Download HE glass labels</span>
						
						<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_glass.jsp?ID=<%=ID%>"
							>Register HE glass</span> 
							<span class="counter" data-counter="paraffin-blocks-without-heglass" 
								title="Number of paraffin blocks without HE glass">∙</span>
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/microscope.png" %>" />
						Scoring wizard
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="Histology" data-link="sampleproc/histology_score.jsp?ID=<%=ID%>"
							>Score HE glass</span> 
							<span class="counter" data-counter="heglass-not-scored" 
								title="Number of unscored HE glass">∙</span>
						</ul>
					</dd>
					</dl>
				</div>
			
				<div id="rna-libprep-section" class="wizard-group">
					<h3>Library preparation wizards</h3>
					<dl class="leftborder rightborder bottomborder">
				
					<dt>
						<base:icon image="<%=home+"/images/libprep.png" %>" />
						Library preparation design wizards <span class="counter more" data-counter="rna-without-mrna-or-lib"
								title="Number of RNA with no child mRNA or Library">∙</span><span 
							class="counter" data-counter="normalized-rna-without-mrna-or-lib" 
								title="Number of pre-normalized RNA with no child mRNA or Library">∙</span>
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="LibraryPlateDesigner" data-link="libprep/import-external-rna.jsp?ID=<%=ID%>"
							>Import external RNA</span>
						<li><span class="require-permission" data-role="LibraryPlateDesigner" data-link="libprep/select_rna.jsp?ID=<%=ID%>&plateType=MRNA"
							>New manual library preparation</span> 
							(<span class="require-permission" data-role="LibraryPrep" data-link="libprep/select_rna.jsp?ID=<%=ID%>&autoDesign=1&plateType=MRNA"
							>auto-design</span>)
						<li><span class="require-permission" data-role="LibraryPlateDesigner" data-link="libprep/select_rna.jsp?ID=<%=ID%>&plateType=EXTERNAL_LIBRARY"
							>Select RNA for external sequencing</span> 
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/pipette.png" %>" />
						Manual library preparation wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/mrna_protocol.jsp?ID=<%=ID%>"
							>Lab protocols for mRNA and cDNA preparation</span> 
							<span class="counter" data-counter="mrna-plates-not-registered" 
								title="Number of mRNA plates waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/rna_dilution_registration.jsp?ID=<%=ID%>"
							>RNA dilution registration</span>
							<span class="counter" data-counter="mrna-plates-not-diluted" 
								title="Number of mRNA plates waiting for dilution">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/mrna_registration.jsp?ID=<%=ID%>"
							>mRNA registration and quality control results</span> 
							<span class="counter" data-counter="mrna-plates-diluted-not-registered" 
								title="Number of mRNA plates waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/cdna_registration.jsp?ID=<%=ID%>"
							>cDNA registration</span> 
							<span class="counter" data-counter="cdna-plates-not-registered" 
								title="Number of cDNA plates waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/assign_barcode.jsp?ID=<%=ID%>"
							>Assign barcodes to cDNA plate</span> 
							<span class="counter" data-counter="cdna-plates-for-barcoding" 
								title="Number of cDNA plates waiting for barcode layout">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/libprep_protocol.jsp?ID=<%=ID%>"
							>Lab protocols and files for library preparation</span> 
							<span class="counter" data-counter="lib-plates-for-libprep" 
								title="Number of Lib plates waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/libqc_registration.jsp?ID=<%=ID%>"
							>Register quality control results</span> 
							<span class="counter" data-counter="lib-plates-for-libprep" 
								title="Number of Lib plates waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/lib_registration.jsp?ID=<%=ID%>"
							>Library registration</span> 
							<span class="counter" data-counter="lib-plates-for-libprep"
								title="Number of Lib plates waiting for registration">∙</span>
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/pool.png" %>" />
						Pooling wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/create_pools.jsp?ID=<%=ID%>"
							>Create pooled libraries</span> 
							<span class="counter" data-counter="lib-plates-for-pooling"
								title="Number of Lib plates waiting for pooling">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/pool_protocol.jsp?ID=<%=ID%>"
							>Lab protocols for pooling</span> 
							<span class="counter" data-counter="pools-not-registered-rnaseq" 
								title="Number of pools waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/pool_registration.jsp?ID=<%=ID%>"
							>Register pooled libraries</span> 
							<span class="counter" data-counter="pools-not-registered-rnaseq" 
								title="Number of pools waiting for registration">∙</span>
						</ul>
					</dd>
					</dl>
					
					<h3>Sequencing wizards</h3>
					<dl class="leftborder rightborder bottomborder">
					
					<dt>
						<base:icon image="<%=home+"/images/flowcell.png" %>" />
						Sequencing wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/create_flowcells.jsp?ID=<%=ID%>"
							>Create flow cells</span> 
							<span class="counter" data-counter="pools-not-used-rnaseq" 
								title="Number of pools waiting for sequencing">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/flowcell_protocol.jsp?ID=<%=ID%>"
							>Lab protocol for sequencing</span> 
							<span class="counter" data-counter="flow-cells-not-sequenced-rnaseq" 
								title="Number of flow cells waiting to be sequenced">∙</span>
						
						<li><span class="require-permission" data-role="LibraryPrep" data-link="sequencing/sequencing_started.jsp?ID=<%=ID%>&pipeline=RNA_SEQ"
							>Register sequencing started</span> 
							<span class="counter" data-counter="flow-cells-not-sequenced-rnaseq" 
								title="Number of flow cells waiting to be sequenced">∙</span>
	
						<li><span class="require-permission" data-role="LibraryPrep" data-link="sequencing/sequencing_ended.jsp?ID=<%=ID%>&pipeline=RNA_SEQ"
							>Register sequencing ended</span> 
							<span class="counter" data-counter="sequencing-runs-active-rnaseq" 
								title="Number of active sequencing runs">∙</span>
						</ul>
					</dd>

					<dt>
						<base:icon image="<%=home+"/images/lorry.png" %>" />
						External sequencing wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="LibraryPrep" data-link="libprep/external_protocol.jsp?ID=<%=ID%>"
							>Lab protocols and files for external sequencing</span> 
							<span class="counter" data-counter="external-plates-not-registered" 
								title="Number of external plates waiting for registration">∙</span>
			
						<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="sequencing/sequencing_external.jsp?ID=<%=ID%>&pipeline=RNA_SEQ"
							>Register external sequencing</span> 
							<span class="counter" data-counter="external-libs-not-sequenced" 
								title="Number of libraries sent for external sequencing">∙</span>
						</ul>
					</dd>

					
					</dl>
				
					<h3>Secondary analysis wizards</h3>
					<dl class="leftborder rightborder bottomborder">
						<dt>
							<base:icon image="<%=home+"/images/server.png" %>" />
							Demux and merge wizards
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="sequencing/sequencing_confirm.jsp?ID=<%=ID%>&pipeline=RNA_SEQ"
								>Confirm sequencing completed</span> 
								<span class="counter" data-counter="sequencing-runs-unconfirmed-rnaseq" 
									title="Number of ended but not confirmed sequencing runs">∙</span>
							
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/demux_start.jsp?ID=<%=ID%>&pipeline=RNA_SEQ"
								>Start demux and merge</span> 
								<span class="counter" data-counter="sequencing-runs-for-demux-rnaseq" 
									title="Number of confirmed sequencing runs waiting to be demuxed">∙</span>
							
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/demux_confirm.jsp?ID=<%=ID%>"
								>Confirm demux and merge completed</span> 
								<span class="counter" data-counter="demux-jobs-not-confirmed-rnaseq"
									title="Number of demux jobs waiting for confirmation">∙</span>
							</ul>
						</dd>
	
						<dt>
							<base:icon image="<%=home+"/images/align.png" %>" />
							Hisat and StringTie pipeline
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/hisat_start.jsp?ID=<%=ID%>"
								>Start Hisat alignment</span>
								<span class="counter" data-counter="merged-sequences-for-hisat-alignment"
									title="Number of merged sequences waiting for Hisat alignment">∙</span>
								<span id="hisat-pipeline-disabled" class="info-warning">auto-processing is disabled</span>
									
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/hisat_confirm.jsp?ID=<%=ID%>"
								>Confirm Hisat alignment</span> 
								<span class="counter" data-counter="hisat-aligned-sequences-not-confirmed" 
									title="Number of Hisat aligned sequences waiting for confirmation">∙</span>
							
							<li><span id="genotype-qc" class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/genotype_qc.jsp?ID=<%=ID%>"
								>Genotype quality control</span> 
								<span class="counter" data-counter="alignments-for-genotype-qc" 
									title="Number of alignments with VCF files that has not been checked">∙</span>
	
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/mbaf_start.jsp?ID=<%=ID%>"
								>Start mBAF analysis</span> 
								<span class="counter" data-counter="aligned-sequences-for-mbaf" 
									title="Number of aligned sequences waiting for mBAF analysis">∙</span>
								<span id="mbaf-pipeline-disabled" class="info-warning">auto-processing is disabled</span>
								
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/stringtie_start.jsp?ID=<%=ID%>"
								>Start StringTie</span>
								<span class="counter" data-counter="aligned-sequences-for-stringtie"
									title="Number of aligned sequences waiting for StringTie">∙</span>
								<span id="stringtie-pipeline-disabled" class="info-warning">auto-processing is disabled</span>
	
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/stringtie_confirm.jsp?ID=<%=ID%>"
								>Confirm StringTie completed</span> 
								<span class="counter" data-counter="stringtie-not-confirmed" 
									title="Number of StringTie jobs waiting for confirmation">∙</span>
									
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/ssp_start.jsp?ID=<%=ID%>"
								>Start Single Sample Predictor analysis</span> 
								<span class="counter" data-counter="rawbioassays-for-ssp" 
									title="Number of StringTie raw bioassays waiting for Single Sample predictor analysis">∙</span>
								<span id="ssp-pipeline-disabled" class="info-warning">auto-processing is disabled</span>
								
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/report.jsp?ID=<%=ID%>&report=SCANB_REPORT"
								>SCAN-B report</span> 
								<span class="counter" data-counter="rawbioassys-without-scanbreport" 
									title="Number of rawbioassays without a SCAN-B report PDF">∙</span>
									<span id="scanb-report-disabled" class="info-warning">auto-processing is disabled</span>
							
							</ul>
						</dd>
						
						<dt>
							<base:icon image="<%=home+"/images/variantcall.png" %>" />
							Variant calling pipeline
						</dt>
						
						<dd>
							<ul>
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/vcall_start.jsp?ID=<%=ID%>"
								>Start variant calling</span> 
								<span class="counter" data-counter="aligned-sequences-for-variant-calling" 
									title="Number of aligned sequences waiting for variant calling pipeline">∙</span>
								<span id="variant-calling-pipeline-disabled" class="info-warning">auto-processing is disabled</span>
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/vcall_confirm.jsp?ID=<%=ID%>"
								>Confirm variant calling</span> 
								<span class="counter" data-counter="variantcall-not-confirmed" 
									title="Number of VariantCall jobs waiting for confirmation">∙</span>
							<li><span class="require-permission" data-role="Administrator" data-link="analysis/vcall_build.jsp?ID=<%=ID%>"
								>Build SCAN-B variant database</span> 
							<li id="variant-import-wizard"><span class="require-permission" data-role="Administrator" data-link="analysis/vcall_import.jsp?ID=<%=ID%>"
								>Import variants for existing variant call raw bioassays</span>
								<span class="counter" data-counter="variant-calls-needing-import" 
									title="Number of VariantCall item that need to import variants">∙</span>
							</ul>
						</dd>
						
						<dt>
							<base:icon image="<%=home+"/images/pdffile.png" %>" />
							Legacy Tophat and Cufflinks pipeline <span id="legacy-pipeline-disabled" class="info-warning">auto-processing is disabled</span>
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/align_start.jsp?ID=<%=ID%>"
								>Start Tophat and Cufflinks</span> 
								<span class="counter" data-counter="merged-sequences-for-legacy-alignment"
									title="Number of merged sequences waiting for Tophat alignment">∙</span>
									
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/cufflinks_confirm.jsp?ID=<%=ID%>"
								>Confirm Cufflinks completed</span> 
								<span class="counter" data-counter="cufflinks-not-confirmed" 
									title="Number of Cufflinks jobs waiting for confirmation">∙</span>
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/report.jsp?ID=<%=ID%>&report=GENE_REPORT"
								>Gene report</span> 
								<span class="counter" data-counter="rawbioassys-without-genereport" 
									title="Number of rawbioassays without a Gene report PDF">∙</span>
									<span id="gene-report-disabled" class="info-warning">auto-processing is disabled</span>
							<li><span class="require-permission" data-role="SecondaryAnalysis" data-link="analysis/report.jsp?ID=<%=ID%>&report=PILOT_REPORT"
								>Pilot report</span> 
								<span class="counter" data-counter="rawbioassys-without-pilotreport" 
									title="Number of rawbioassays without a Pilot report PDF">∙</span>
									<span id="pilot-report-disabled" class="info-warning">auto-processing is disabled</span>
							</ul>
						</dd>
						
					</dl>			
				</div>
				
				<div id="mips-libprep-section" class="wizard-group">
					<h3>Library preparation wizards</h3>
					<dl class="leftborder rightborder bottomborder">
				
					<dt>
						<base:icon image="<%=home+"/images/libprep.png" %>" />
						MIPs plate design wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="MIPsPlateDesigner" data-link="mipsprep/import_plates.jsp?ID=<%=ID%>"
							>Import DNA aliquot plates</span>
							
						<li><span class="require-permission" data-role="MIPsPlateDesigner" data-link="mipsprep/design_mipsplate.jsp?ID=<%=ID%>"
							>Design MIPs plate</span>
							<span class="counter more" data-counter="prenormalized-designmips"
								title="Number of aliquot plates with DNA waiting for MIPs">∙</span><span 
							class="counter" data-counter="prenormalized-addaliquots"
								title="Number of aliquot plates in the SCAN-B lab">∙</span>
						</ul>
					</dd>
					
					<dt>
						<base:icon image="<%=home+"/images/pipette.png" %>" />
						MIPs library preparation wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="MIPsLibraryPrep" data-link="mipsprep/mips_protocol.jsp?ID=<%=ID%>"
							>Lab protocols for MIPs library preparation</span> 
							<span class="counter" data-counter="mips-plates-for-libprep" 
								title="Number of MIPs plates waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="MIPsLibraryPrep" data-link="mipsprep/lib_registration.jsp?ID=<%=ID%>"
							>MIPs library registration</span> 
							<span class="counter" data-counter="mips-plates-for-libprep"
								title="Number of MIPs plates waiting for registration">∙</span>
						
						<li><span class="require-permission" data-role="MIPsLibraryPrep" data-link="mipsprep/pool_registration.jsp?ID=<%=ID%>"
							>Register pooled libraries</span> 
							<span class="counter" data-counter="mips-plates-for-pooling" 
								title="Number of MIPs library plates waiting for pooling">∙</span>
						</ul>
					</dd>

					</dl>
					
					<h3>Sequencing wizards</h3>
					<dl class="leftborder rightborder bottomborder">
					
					<dt>
						<base:icon image="<%=home+"/images/flowcell.png" %>" />
						Sequencing wizards
					</dt>
					<dd>
						<ul>
						<li><span class="require-permission" data-role="MIPsLibraryPrep" data-link="mipsprep/create_flowcells.jsp?ID=<%=ID%>"
							>Create flow cells</span> 
							<span class="counter" data-counter="pools-not-used-mips" 
								title="Number of MIPs pools waiting for sequencing">∙</span>
						
						<li><span class="require-permission" data-role="MIPsLibraryPrep" data-link="mipsprep/flowcell_protocol.jsp?ID=<%=ID%>"
							>Lab protocol for sequencing</span> 
							<span class="counter" data-counter="flow-cells-not-sequenced-mips" 
								title="Number of MIPs flow cells waiting to be sequenced">∙</span>
						
						<li><span class="require-permission" data-role="MIPsLibraryPrep" data-link="sequencing/sequencing_started.jsp?ID=<%=ID%>&pipeline=MIPS"
							>Register sequencing started</span> 
							<span class="counter" data-counter="flow-cells-not-sequenced-mips" 
								title="Number of MIPs flow cells waiting to be sequenced">∙</span>
	
						<li><span class="require-permission" data-role="MIPsLibraryPrep" data-link="sequencing/sequencing_ended.jsp?ID=<%=ID%>&pipeline=MIPS"
							>Register sequencing ended</span> 
							<span class="counter" data-counter="sequencing-runs-active-mips" 
								title="Number of active MIPs sequencing runs">∙</span>
						</ul>
					</dd>
					
					</dl>
					
					<h3>Secondary analysis wizards</h3>
					<dl class="leftborder rightborder bottomborder">
						<dt>
							<base:icon image="<%=home+"/images/server.png" %>" />
							Demux wizards
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="MIPsSecondaryAnalysis" data-link="sequencing/sequencing_confirm.jsp?ID=<%=ID%>&pipeline=MIPS"
								>Confirm sequencing completed</span> 
								<span class="counter" data-counter="sequencing-runs-unconfirmed-mips" 
									title="Number of ended but not confirmed MIPs sequencing runs">∙</span>
							
							<li><span class="require-permission" data-role="MIPsSecondaryAnalysis" data-link="mipsanalysis/demux_start.jsp?ID=<%=ID%>&pipeline=MIPS"
								>Start demux</span> 
								<span class="counter" data-counter="sequencing-runs-for-demux-mips" 
									title="Number of confirmed MIPs sequencing runs waiting to be demuxed">∙</span>
							
							<li><span class="require-permission" data-role="MIPsSecondaryAnalysis" data-link="mipsanalysis/demux_confirm.jsp?ID=<%=ID%>"
								>Confirm demux completed</span> 
								<span class="counter" data-counter="demux-jobs-not-confirmed-mips"
									title="Number of MIPs demux jobs waiting for confirmation">∙</span>
							</ul>
						</dd>
						
						<dt>
							<base:icon image="<%=home+"/images/align.png" %>" />
							Alignment pipeline
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="MIPsSecondaryAnalysis" data-link="mipsanalysis/align_start.jsp?ID=<%=ID%>"
								>Start MIPs alignment</span>
								<span class="counter" data-counter="merged-sequences-for-mips-alignment"
									title="Number of merged sequences waiting for MIPs alignment">∙</span>
								<span id="mips-align-pipeline-disabled" class="info-warning">auto-processing is disabled</span>

							<li><span class="require-permission" data-role="MIPsSecondaryAnalysis" data-link="mipsanalysis/align_confirm.jsp?ID=<%=ID%>"
								>Confirm MIPs alignment</span> 
								<span class="counter" data-counter="mips-aligned-sequences-not-confirmed" 
									title="Number of MIPs aligned sequences waiting for confirmation">∙</span>
							</ul>
						</dd>
						
					</dl>
					
				</div>
				
				<div id="personal-information-section" class="wizard-group">
					<%
					if (isPatientCurator || isAdmin)
					{
						%>
						<h3>Personal information wizards</h3>
						<dl class="leftborder rightborder bottomborder">
						<dt>
							<base:icon image="<%=home + "/images/personal.png" %>"/>
							Referral form registration wizards
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/persinfo.jsp?ID=<%=ID%>"
								>Pathology referral form registration</span>
	
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/bloodform.jsp?ID=<%=ID%>"
								>Blood referral forms registration</span>
								
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/bloodfollowupform.jsp?ID=<%=ID%>"
								>Follow-up blood referral form registration</span>

							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/import_followup_blood.jsp?ID=<%=ID%>"
								>Batch-import follow-up blood referral forms</span>
	
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/consentform.jsp?ID=<%=ID%>"
								>Consent form registration</span>
								<span class="counter" data-counter="case-or-blood-without-consent" 
									title="Number of cases and blood samples without consent">∙</span>
							</ul>
						</dd>
						
						<dt>
							<base:icon image="<%=home+"/images/report.png" %>" />
							Referral forms
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/generate-referral-forms.jsp?ID=<%=ID%>"
								>Referral ID generator</span>
							</ul>
						</dd>
	
						<dt>
							<base:icon image="<%=home+"/images/delete.png" %>" />
							Retraction wizard
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/retractionform.jsp?ID=<%=ID%>"
								>Mark extracts for retraction</span>
	
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/retraction_followup_form.jsp?ID=<%=ID%>"
								>Retraction follow-up and destruction</span>
								<span class="counter more" data-counter="patientitems-ready-for-retraction-followup" 
									title="Number of patient items ready for retraction follow-up">∙</span><span 
									class="counter" data-counter="patientitems-ready-for-destruction" 
									title="Number of patient items ready for destruction">∙</span>
	
							</ul>
						</dd>
						
						<dt>
							<base:icon image="<%=home+"/images/export_import.png" %>" />
							Import and export wizards
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export-inca.jsp?ID=<%=ID%>"
								>INCA export</span>
	
							<li><span id="inca-import" 
								class="require-permission" 
								data-role="PatientCurator"
								data-link="personal/import-inca.jsp?ID=<%=ID%>"
								>INCA import</span>
	
							<li><span id="inca-statistics" 
								class="require-permission" 
								data-role="PatientCurator"
								data-link="personal/inca-statistics.jsp?ID=<%=ID%>"
								>INCA statistics</span>
	
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export-monthly-oplist.jsp?ID=<%=ID%>"
								>Export monthly operation list</span>
								
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export_missing_data_sample_list.jsp?ID=<%=ID%>"
								>Export missing data sample list</span>
	
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/export_missing_consent_data_sample_list.jsp?ID=<%=ID%>"
								>Export missing consent data sample list</span>
								
							<li><span class="require-permission" data-role="PatientCurator" data-link="batch/frozen-tissue-date.jsp?ID=<%=ID%>"
								>Import frozen tissue date</span> 
								
							<li><span class="require-permission" data-role="PatientCurator" data-link="personal/map-external-data.jsp?ID=<%=ID%>"
								>Map external data to releases</span>
							</ul>
						</dd>
						
						</dl>
						<%
					}
					%>
					<h3>Sample curation and outtake wizards</h3>
					<dl class="leftborder rightborder bottomborder">
						<dt>
							<base:icon image="<%=home+"/images/flag.png" %>" />
							Re-processing wizards
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="PrepCurator" data-link="flaggedrna/search.jsp?ID=<%=ID%>"
								>Flagged RNA</span> 
								<span class="counter" data-counter="flagged-rna" 
									title="Number of flagged RNA items">∙</span>
							<li><span class="require-permission" data-role="PrepCurator" data-link="flaggedalignment/search.jsp?ID=<%=ID%>"
								>Flagged alignment</span> 
								<span class="counter" data-counter="flagged-alignment" 
									title="Number of flagged alignment items">∙</span>
							<li><span class="require-permission" data-role="PrepCurator" data-link="sampleproc/paused-specimen.jsp?ID=<%=ID%>"
								>Paused specimen</span> 
								<span class="counter" data-counter="paused-specimen" 
									title="Number of paused+scheduled specimen items">∙</span>
							</ul>
						</dd>
	
						<dt>
							<base:icon image="<%=home+"/images/smile.png" %>" />
							Batch update wizards
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="PrepCurator" data-link="batch/linked-specimen.jsp?ID=<%=ID%>"
								>Linked specimen</span> 
							<li><span class="require-permission" data-role="PrepCurator" data-link="batch/reference-date.jsp?ID=<%=ID%>"
								>Reference date and linked cases</span> 
							</ul>
						</dd>
						
						<dt>
							<base:icon image="<%=home+"/images/outtake.png" %>" />
							Sample outtake wizards
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="PrepCurator" data-link="outtake/define.jsp?ID=<%=ID%>"
								>Define a new sample outtake</span>
							<li><span class="require-permission" data-role="SamplePrep" data-link="outtake/picklist.jsp?ID=<%=ID%>"
								>Protocols and labels for sample outtakes</span> 
								<span class="counter" data-counter="active-outtake-lists" 
									title="Number of sample outtakes waiting to be processed">∙</span>
							<li><span class="require-permission" data-role="SamplePrep" data-link="outtake/register.jsp?ID=<%=ID%>"
								>Register sample outtake</span> 
								<span class="counter" data-counter="active-outtake-lists" 
									title="Number of sample outtakes waiting to be processed">∙</span>
							<li><span class="require-permission" data-role="PrepCurator" data-link="outtake/delivery_export.jsp?ID=<%=ID%>"
								>Export delivery data file for sample outtake</span>
								<span class="counter" data-counter="undelivered-outtake-lists" 
									title="Number of sample outtakes not delivered">∙</span>
							</ul>
						</dd>
	
					</dl>
				</div>
				
				<div id="statistics-section" class="wizard-group">
					<h3>Statistics and reporting wizards</h3>
					<dl class="leftborder rightborder bottomborder">
						<dt>
							<base:icon image="<%=home+"/images/report.png" %>" />
							<span class="require-permission" data-role="" data-link="reports/samplereportgenerator.jsp?ID=<%=ID%>"
								>Sample source report</span>
						</dt>
						<dd>
							<ul>
							<li>Sample count report</li> 
							<li>Consent count report</li> 
							<li>Patient count report</li> 
							<li>Overview report</li> 
							<li>Missing sample data report</li> 
							</ul>
						</dd>
						<dt>
							<base:icon image="<%=home+"/images/chart_bar.png" %>" />
							<span class="require-permission" data-role="" data-link="reports/scanbquartermonthreportgenerator.jsp?ID=<%=ID%>"
								>Sample processing statistics</span>
						</dt>				
						<dd>				
							<ul>
							<li>SCAN-B quarter/month report</li> 
							</ul>
						</dd>
						<dt style="margin-bottom: 0.5em;">
							<base:icon image="<%=home+"/images/yellow-label.png" %>" />
							<span class="require-permission" data-role="" data-link="yellowlabel/list.jsp?ID=<%=ID%>"
								>YellowLabel tracking and reporting</span>
								<span class="counter" data-counter="specimen-active-yellow-label" 
									title="Number of active YellowLabel specimen">∙</span>
						</dt>	
					</dl>
				</div>

				<div id="administration-section" class="wizard-group">
					<%
					if (isAdmin)
					{
						%>
						<h3>Server administrator wizards</h3>
						<dl class="leftborder rightborder bottomborder">
						<dt>
							<base:icon image="<%=home + "/images/install.png" %>" />
							<span class="require-permission" data-role="Administrator" data-link="admin/install.jsp?ID=<%=ID%>">Installation wizard</span>
						</dt>
						<dd>
							<ul>
							<li>Check that items needed by Reggie exists in BASE.
							<li>Create and fix items.
							</ul>
						</dd>
						<dt>
							<base:icon image="<%=home + "/images/ogs-cluster.png"%>" />
							Other tasks
						</dt>
						<dd>
							<ul>
							<li><span class="require-permission" data-role="Administrator" data-link="admin/remote/list-hosts.jsp?ID=<%=ID%>"
								>Open Grid Scheduler hosts</span>
								
							<li><span class="require-permission" data-role="Administrator" data-link="admin/stray-files.jsp?ID=<%=ID%>"
								>Stray files wizard</span>
								<span class="counter" data-counter="stray-folders" 
									title="Number of stray folders">∙</span>
									
							<li><span class="require-permission" data-role="Administrator" data-link="admin/analysis-cleanup.jsp?ID=<%=ID%>"
								>Secondary analysis cleanup</span>
								<span class="counter more" data-counter="analysis-cleanup-dba"
									title="Number of derived bioassay items to cleanup">∙</span><span 
									class="counter" data-counter="analysis-cleanup-rba" 
									title="Number of raw bioassay items to cleanup">∙</span>
							</ul>
						</dd>
						</dl>
						<%
					}
					%>
				</div>
				
			</div>
		</div>
		
		<div class="absolutefull" style="width: 30%; left: auto;">
			<div class="absolutefull" style="left: 0.5em; bottom: 2em;">
				<div class="absolutefull" style="right: 1em; height: 4em;">
					<b>Case summary</b><br>
					<input type="text" class="text auto-init" data-auto-init="focus" 
						name="caseName" id="caseName" title="Please enter a SCAN-B case id, personal number, release id, PAD, etc." 
						style="width: 15em;">
					<base:button id="btnCaseSummary" title="Go" image="<%=home+"/images/gonext.png"%>" />
				</div>
				<div class="absolutefull" style="top: 4em; padding-right: 0.5em;">
					<div id="summary-stats">
						<div class="counter" data-counter="patients-all" 
							title="Total number of patients">∙</div> Patients<br>
						<div class="counter" data-counter="specimen-all" 
							title="Total number of specimen tubes">∙</div> Specimen Tubes<br>
						<div class="counter" data-counter="rna-all-extracted" 
							title="Total number of extracted RNA">∙</div> Extracted Rna<br>
						<div class="counter" data-counter="libraries-all-aligned" 
							title="Total number of aligned libraries">∙</div> Aligned Libraries<br>
						<div class="counter" data-counter="rawbioassys-all-with-genereport"
							title="Total number of generated gene reports">∙</div> Gene Reports<br>
						<div class="counter" data-counter="stained-score-complete"
							title="Total number of completely scored histology samples">∙</div> Scored Histology Samples
					</div>

					<div id="activity-log">
						<div id="quote-of-the-day"></div>
						<a id="activity-log-rss" href="<%=servletHome%>/ActivityLog.rss" 
							title="Get the activity log as an RSS feed"><img src="images/rss.png"></a>
						<div id="activity-log-entries"></div>
					</div>
				</div>
			</div>
			<div id="counter-age-control">
				<b>Counters last updated</b> <span id="counter-age"></span><base:icon id="counter-refresh" 
					image="<%=home+"/images/refresh-small.png"%>" style="display:none;" title="Force update of counters" 
					/><base:icon id="counter-loading" image="<%=home+"/images/loading-small.gif"%>" />
			</div>
		</div>
		</form>
		
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>